package com.ruoyi.common.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 读取项目相关配置
 * 
 * @author ruoyi
 */
@Component
@ConfigurationProperties(prefix = "ruoyi")
public class RuoYiConfig {
	
	/**
	 * 出版社
	 */
	private String pressApiServer="http://111.198.99.166:20000/";
	
	/**
	 * 是否自动同步报表
	 */
	private Boolean autoSync=false;
	
	//是否自动同步专利调整数据
	private Boolean autoSyncAjeuest=false;
	
	/** 项目名称 */
	private String name;

	/** 版本 */
	private String version;

	/** 版权年份 */
	private String copyrightYear;

	/** 实例演示开关 */
	private boolean demoEnabled;

	/** 上传路径 */
	private static String profile;
	private String filePath;

	/** 获取地址开关 */
	private static boolean addressEnabled;

	/** 验证码类型 */
	private static String captchaType;
	/** 当前服务所处节点(雪花算法生成id使用) */
	private Long workerId;

	private Boolean autoImpPub = false;
	
	private Boolean loadPub = false;
	
	public Boolean getAutoImpPub() {
		return autoImpPub;
	}

	public void setAutoImpPub(Boolean autoImpPub) {
		this.autoImpPub = autoImpPub;
	}

	public Boolean getAutoSync() {
		return autoSync;
	}

	public void setAutoSync(Boolean autoSync) {
		this.autoSync = autoSync;
	}

	public Boolean getLoadPub() {
		return loadPub;
	}

	public void setLoadPub(Boolean loadPub) {
		this.loadPub = loadPub;
	}

	public String getFilePath() {
		return filePath;
	}

	public void setFilePath(String filePath) {
		this.filePath = filePath;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getVersion() {
		return version;
	}

	public void setVersion(String version) {
		this.version = version;
	}

	public String getCopyrightYear() {
		return copyrightYear;
	}

	public void setCopyrightYear(String copyrightYear) {
		this.copyrightYear = copyrightYear;
	}

	public boolean isDemoEnabled() {
		return demoEnabled;
	}

	public void setDemoEnabled(boolean demoEnabled) {
		this.demoEnabled = demoEnabled;
	}

	public static String getProfile() {
		return profile;
	}

	public void setProfile(String profile) {
		RuoYiConfig.profile = profile;
	}

	public static boolean isAddressEnabled() {
		return addressEnabled;
	}

	public void setAddressEnabled(boolean addressEnabled) {
		RuoYiConfig.addressEnabled = addressEnabled;
	}

	public static String getCaptchaType() {
		return captchaType;
	}

	public void setCaptchaType(String captchaType) {
		RuoYiConfig.captchaType = captchaType;
	}

	/**
	 * 获取导入上传路径
	 */
	public static String getImportPath() {
		return getProfile() + "/import";
	}

	/**
	 * 获取头像上传路径
	 */
	public static String getAvatarPath() {
		return getProfile() + "/avatar";
	}

	/**
	 * 获取下载路径
	 */
	public static String getDownloadPath() {
		return getProfile() + "/download/";
	}

	/**
	 * 获取上传路径
	 */
	public static String getUploadPath() {
		return getProfile() + "/upload";
	}

	public Long getWorkerId() {
		return workerId;
	}

	public void setWorkerId(Long workerId) {
		this.workerId = workerId;
	}

	public String getPressApiServer() {
		return pressApiServer;
	}

	public void setPressApiServer(String pressApiServer) {
		this.pressApiServer = pressApiServer;
	}

	public Boolean getAutoSyncAjeuest() {
		return autoSyncAjeuest;
	}

	public void setAutoSyncAjeuest(Boolean autoSyncAjeuest) {
		this.autoSyncAjeuest = autoSyncAjeuest;
	}


}
